Summary:	Additional ghostscript fonts
Summary(pl.UTF-8):	Dodatkowe fonty dla interpretera ghostscript
Name:		ghostscript-fonts-other
Version:	6.0
Release:	7
License:	GPL
Group:		Applications/Graphics
Source0:	ftp://mirror.cs.wisc.edu/pub/mirrors/ghost/fonts/gnu-gs-fonts-other-%{version}.tar.gz
# Source0-md5:	33457d3f37de7ef03d2eea05a9e6aa4f
Source1:	%{name}.Fontmap
Source2:	%{name}.fonts.scale
URL:		http://www.cs.wisc.edu/~ghost/
BuildRequires:	t1utils
Requires(post,postun):	fontpostinst
Requires:	fontpostinst
Requires:	%{_fontsdir}/Type1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_t1fontsdir	%{_fontsdir}/Type1
%define		_t1afmdir	%{_t1fontsdir}/afm
%define		_t1pfmdir	%{_t1fontsdir}/pfm

%description
This package contains additional fonts for ghostscript.

Ghostscript is a PostScript interpreter. It can render both PostScript
and PDF compliant files to devices which include an X window, many
printer formats (including support for color printers), and popular
graphics file formats.

%description -l pl.UTF-8
Pakiet ten zawiera dodatkowe fonty dla interpretera ghostscript.

Ghostcript jest interpreterem PostScriptu, języku używanego do opisu
formatu dokumentu. Ghostscript potrafi przetworzyć dokument w formacie
PostScript i PDF na szereg postaci wyjściowych: drukarki (włączając
kolorowe), okno X-Window i popularne formaty graficzne.

%prep
%setup -q -n fonts

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_t1fontsdir},%{_t1afmdir},%{_t1pfmdir}}

# present in t1lib-fonts
rm -f bch*

install *.gsf $RPM_BUILD_ROOT%{_t1fontsdir}
install *.afm $RPM_BUILD_ROOT%{_t1afmdir}
install *.pfm $RPM_BUILD_ROOT%{_t1pfmdir}

for f in *.pfa ; do
	t1binary $f $RPM_BUILD_ROOT%{_t1fontsdir}/`basename $f .pfa`.pfb
done

install %{SOURCE1} $RPM_BUILD_ROOT%{_t1fontsdir}/Fontmap.%{name}
install %{SOURCE2} $RPM_BUILD_ROOT%{_t1fontsdir}/fonts.scale.%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst Type1

%postun
fontpostinst Type1

%files
%defattr(644,root,root,755)
%{_t1fontsdir}/*.gsf
%{_t1fontsdir}/*.pfb
%{_t1afmdir}/*.afm
%{_t1pfmdir}/*.pfm
%{_t1fontsdir}/*.%{name}
%changelog
* Sun Oct 07 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ghostscript-fonts-other.git;a=log;h=master

* Sun Oct 07 2012 Elan Ruusamäe <glen@delfi.ee> 6833750
- release 7 (by relup.sh)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 69ff7c9
- dropped pre-cvs changelog

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 8d956ba
- rel 6
- updated Source0 URL

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6067c74
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a2ec367
- converted to UTF-8

* Fri Jan 27 2006 Tomasz Pala <gotar@pld-linux.org> 98dfd80
- R: fontpostinst as rpm R(post,postun) is still broken, rel++

* Wed Aug 18 2004 undefine <undefine@pld-linux.org> 9ed1896
- release 4

* Thu Jun 19 2003 Tomasz Pala <gotar@pld-linux.org> 41f8c6c
- switched post/postun to fontpostinst
- packages require directory in which they have fonts
- release++

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 37fd4ff
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 0c8adac
- massive attack s/pld.org.pl/pld-linux.org/

* Mon Jan 20 2003 Jakub Bogusz <qboosh@pld-linux.org> 001b855
- use tr (fileutils) instead of sed, updated Requires()

* Sun Dec 29 2002 Jakub Bogusz <qboosh@pld-linux.org> 4ebda65
- umask in scripts, other fixes/cosmetics where needed

* Thu Apr 25 2002 arturs <arturs@pld-linux.org> cfb9bd8
fixed a small typo

* Wed Mar 06 2002 kloczek <kloczek@pld-linux.org> d4a54bd
- release 2.

* Wed Mar 06 2002 Tomasz Pala <gotar@pld-linux.org> d301a21
- removed Requires: ghostscript (Type1 fonts can be used anywhere).

* Fri Feb 22 2002 kloczek <kloczek@pld-linux.org> 0c3d9c7
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

* Fri Jan 18 2002 kloczek <kloczek@pld-linux.org> bd47ce5
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

* Thu Jul 26 2001 Jakub Bogusz <qboosh@pld-linux.org> 020c3d7
- version 6.0, added Source URL

* Thu Apr 19 2001 kloczek <kloczek@pld-linux.org> 2a4c85f
- release 5: few cosmetics.

* Sun Apr 15 2001 Jakub Bogusz <qboosh@pld-linux.org> fa2f8de
- remove old {fonts.scale,Fontmap}.bak left by type1inst
- fixed fonts.scale generation, Prereq: sed
- finished resolving conflict with t1lib-fonts

